html * {
    font-size: 1em;
    /* color: #333333 !important; */
    /* font-family: 'Times New Roman', Times, serif */
    /* font-family: 'Roboto', sans-serif !important; */
}

.ant-layout-content {
    flex: auto;
    min-height: 0;
}

.ant-breadcrumb {
    margin: 0px 0px !important;
}

.tableCellCustom {
    text-align: left;
    vertical-align: inherit;
}

.ant-table-tbody>tr>td {
    padding: 5px 5px !important;
    text-align: center;
    padding: 8px;
    line-height: 20px;
    text-align: left;
    vertical-align: middle;
    border-top: 1px solid #ddd;
}

.ant-table-thead>tr {
    background-color: #07292d !important;
}

.ant-table-tbody>tr>.textAlignLeft {
    padding: 5px 5px !important;
    padding-left: 5px !important;
    line-height: 20px;
    text-align: left;
    vertical-align: middle;
    border-top: 1px solid #ddd;
}

.ant-table-tbody>tr>.textAlignRight {
    padding: 5px 5px !important;
    padding-right: 5px !important;
    line-height: 20px;
    text-align: right;
    vertical-align: middle;
    border-top: 1px solid #ddd;
}

.ant-table-tbody>tr>.textAlignCenter {
    padding: 5px 5px !important;
    padding-right: 5px !important;
    line-height: 20px;
    text-align: center !important;
    vertical-align: middle;
    border-top: 1px solid #ddd;
}

.ant-table-thead>tr>.ant-table-cell {
    padding: 5px 5px !important;
    padding: 8px;
    line-height: 20px;
    text-align: left !important;
    vertical-align: middle;
    border-top: 1px solid #ddd;
    background-color: #94c9ce !important;
    color: #333333 !important;
    font-weight: bold !important;
    /* font-size: 16px; */
    /* text-transform: uppercase; */
}
.ant-table-thead>tr>.ant-table-selection-column {
    text-align: center !important;
}

.ant-table-thead>tr>.textAlignLeft {
    padding: 10px 5px !important;
    text-align: left !important;
    padding-left: 5px !important;
    line-height: 20px;
    text-align: left !important;
    vertical-align: middle;
    border-top: 1px solid #ddd;
    background-color: #94c9ce !important;
    color: #333333 !important;
    font-weight: bold !important;
    /* font-size: 16px; */
    /* text-transform: uppercase; */
}

.ant-table-thead>tr>.textAlignCenter {
    padding: 10px 5px !important;
    text-align: left !important;
    padding-left: 5px !important;
    line-height: 20px;
    text-align: center !important;
    vertical-align: middle;
    border-top: 1px solid #ddd;
    background-color: #94c9ce !important;
    color: #333333 !important;
    font-weight: bold !important;
    /* font-size: 16px; */
    /* text-transform: uppercase; */
}


.ant-table-thead>tr>.textAlignRight {
    padding: 10px 5px !important;
    text-align: right !important;
    padding-right: 5px !important;
    line-height: 20px;
    /* text-align: left; */
    vertical-align: middle;
    border-top: 1px solid #ddd;
    background-color: #94c9ce !important;
    color: #333333 !important;
    font-weight: bold !important;
    /* font-size: 16px; */
    /* text-transform: uppercase; */
}

.ant-table-tbody>.ant-table-measure-row>td {
    padding: 0px !important;
}

.sidebar-custom {
    background-color: #07292d !important;
    border-right: 1px solid grey;
}


/* #005ac3 */


/* 
MAIN: #0070f4
#1E7270
#1E7270
ACTIVE: #005ac3
*/

.sidebar-custom {
    .menu {
        background-color: #07292d !important;
        color: #fff !important;
        border-right: 0px;
        margin-top: 10px;
    }

    .menu-custom a {
        display: block;
        padding: 0 10px !important;
        color: #fff;
    }

    .menu-custom {
        margin: 5px !important;
        border-radius: 5px;
        padding: 0px !important;
        font-size: 18px;
    }

    .menu-custom :hover {
        border-radius: 5px;
        padding: 0 10px !important;
        font-size: 18px;
        background-color: #4e5455;
        color: #fff !important;
    }

    .menu-custom-active a {
        display: block;
        padding: 0 10px !important;
        color: #fff;
    }

    .menu-custom-active {
        margin: 5px !important;
        border-radius: 5px;
        padding: 0px !important;
        font-size: 18px;
        background-color: #4e5455;
        color: #fff !important;
    }

    .menu-custom-active :hover {
        border-radius: 5px;
        padding: 0 10px !important;
        font-size: 18px;
        background-color: #4e5455;
        color: #fff !important;
    }

    .ant-menu-submenu-title {
        border-radius: 5px;
        padding: 0 10px !important;
        font-size: 18px;
        /* background-color: #fff; */
        color: #fff !important;
    }

    .ant-menu-submenu-title :hover {
        border-radius: 5px;
        padding: 0 0px !important;
        font-size: 18px;
        /* background-color: #fff; */
        color: #fff !important;
    }

    .ant-menu-submenu-arrow {
        border-radius: 5px;
        padding: 0 10px !important;
        font-size: 18px;
        /* background-color: #fff; */
        color: #fff !important;
    }

    .ant-menu-submenu-arrow :hover {
        border-radius: 5px;
        padding: 0 0px !important;
        font-size: 18px;
        /* background-color: #fff; */
        color: #fff !important;
    }

    .ant-menu-submenu-popup>.ant-menu-sub {
        background-color: #07292d !important;
        padding: 10px !important;
    }
}

.popup-menu-custom {
    .ant-menu {
        background-color: #4e5455 !important;
        padding: 5px !important;
        margin-left: 5px;
    }

    .ant-menu-item-only-child {
        border-radius: 5px;
        padding: 0 10px !important;
        font-size: 18px;
        background-color: #4e5455;
        color: #fff !important;
    }

    .ant-menu-item-only-child:hover {
        border-radius: 5px;
        padding: 0 10px !important;
        font-size: 18px;
        background-color: #07292d;
        color: #fff !important;
    }

    .ant-menu-item a {
        color: #fff !important;
    }

    /* .sub-menu-custom-active a {
        color: #fff;
    } */
    .sub-menu-custom-active {
        background-color: #07292d !important;
    }

    .sub-menu-custom-active :hover {
        background-color: #07292d !important;
    }
}

.header-custom {
    background-color: #07292d !important;
}

.form-custom {
    width: 800px;
    margin: auto;
    padding: 8px;
}

.form-custom-2 {
    min-width: 800px;
    width: 80%;
    margin: auto;
    padding: 8px;
}

.form-custom-3 {
    width: 100%;
    margin: auto;
    padding: 8px;
}

.ant-form-item {
    margin: 0 0 2px !important;
}

.ant-upload.ant-upload-drag {
    height: 100px !important;
}

.inputDisable {
    color: #000 !important;
    /* font-weight: bold; */
}

.inputNormal {
    background-color: #fff !important;
    color: #000 !important;
    /* font-weight: bold; */
}

.ant-table th.ant-table-selection-column {
    width: 20px !important;
    max-width: 20px !important;
}

.ant-form-item-label {
    padding: 0px !important;
}


/* HEADER MENU */
.navbar-custom {
    background-color: #07292d !important;
    border-bottom: 2px solid #07292d;
}


/* #005ac3 */


/* 
MAIN: #0070f4
ACTIVE: #005ac3
*/

.navbar-custom {
    .ant-menu-horizontal {
        border-bottom: 0px;
    }

    .menu {
        background-color: #07292d !important;
        color: #fff !important;
        border-right: 0px;
        line-height: 30px;
        padding: 2px;
        padding-bottom: 2px;
    }

    .menu-custom {
        border-radius: 5px;
        padding: 0px !important;
        font-size: 18px;
        margin: 0px;
        margin-right: 5px;
    }

    .menu-custom-active {
        border-radius: 5px;
        padding: 0px !important;
        font-size: 18px;
        margin: 0px;
        margin-right: 5px;
        background-color: #4e5455;
        color: #fff !important;
    }

    .menu-custom a {
        display: block;
        padding: 5px 20px !important;
        color: #fff !important;
    }

    .menu-custom-active a {
        display: block;
        padding: 5px 20px !important;
        color: #fff !important;
    }

    .menu-custom :hover {
        border-radius: 5px;
        padding: 5px 20px !important;
        font-size: 18px;
        background-color: #4e5455;
        color: #fff !important;
    }

    .menu-custom-active :hover {
        border-radius: 5px;
        padding: 5px 20px !important;
        font-size: 18px;
        background-color: #4e5455;
        color: #fff !important;

    }

    /* menu tree */

    .tree-menu-custom {
        padding: 0px !important;
        font-size: 18px;
        margin-right: 5px;
    }

    .tree-menu-custom span {
        display: block;
        border-radius: 5px;
        padding: 5px 20px !important;
        font-size: 18px;
        color: #fff !important;
    }


    .tree-menu-custom :hover {
        border-radius: 5px;
        padding: 0px !important;
        font-size: 18px;
        background-color: #4e5455;
        color: #fff !important;
    }

    .ant-menu-submenu-title :hover {
        display: block;
        padding: 5px 20px !important;
        font-size: 18px;
        color: #fff !important;
    }

    .tree-menu-custom-active {
        border-radius: 5px;
        padding: 0px !important;
        font-size: 18px;
        margin-right: 5px;
        background-color: #4e5455;
    }

    .tree-menu-custom-active span {
        display: block;
        border-radius: 5px;
        padding: 5px 20px !important;
        font-size: 18px;
        color: #fff !important;
    }

    .tree-menu-custom-active span:hover {
        border-radius: 5px;
        padding: 5px 20px !important;
        font-size: 18px;
        background-color: #4e5455;
        color: #fff !important;
    }

}

.header-popup-menu-custom {
    .ant-menu {
        background-color: #4e5455 !important;
        padding: 5px !important;
    }

    .ant-menu-item-only-child {
        border-radius: 5px;
        padding: 0 10px !important;
        font-size: 18px;
        background-color: #4e5455;
        color: #fff !important;
    }

    .ant-menu-item-only-child:hover {
        border-radius: 5px;
        padding: 0 10px !important;
        font-size: 18px;
        background-color: #07292d;
        color: #fff !important;
    }

    .ant-menu-item a {
        color: #fff !important;
    }

    /* .sub-menu-custom-active a {
        color: #fff;
    } */
    .sub-menu-custom-active {
        background-color: #07292d !important;
    }

    .sub-menu-custom-active :hover {
        background-color: #07292d !important;
    }
}


.custom-number-input {
    -moz-appearance: textfield;
    /* Dành cho Firefox */
}

.custom-number-input::-webkit-inner-spin-button,
.custom-number-input::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
    /* Ẩn nút trên Chrome, Safari, Edge, và Opera */
}


.floating-btn {
    position: fixed;
    /* width: 60px; */
    /* height: 60px; */
    bottom: 40px;
    left: 40px;
    background-color: #01a2b2 !important;
    border-color: #01a2b2 !important;
    border-radius: 200px !important;
    color: white;
    border: none;
    font-size: 18px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.3);
    cursor: pointer;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 7px;
    padding-bottom: 7px;
    z-index: 1000;
}

.floating-btn:hover {
    background-color: #4e5455;
}

.floating-btn2 {
    position: fixed;
    /* width: 60px; */
    /* height: 60px; */
    bottom: 40px;
    right: 40px;
    background-color: #07292d;
    color: white;
    border-radius: 50px;
    border: none;
    font-size: 18px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.3);
    cursor: pointer;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 7px;
    padding-bottom: 7px;
    z-index: 1000;
}

.floating-btn2:hover {
    background-color: #4e5455;
}


.ant-menu-item-reality {
    border-radius: 5px;
    padding: 7px 10px !important;
}

.ant-menu-item-reality:hover {
    border-radius: 5px;
    padding: 7px 10px !important;
    color: #07292d !important;
}

.ant-table-thead>tr>.ant-table-cell-custom {
    background-color: #a8c5c8 !important;
    color: #333333 !important;
    padding: 10px 5px !important;
}


.table-sumary-custom {
    background-color: #ffffff !important;
    color: #333333;
    position: sticky !important;
    z-index: 1000 !important;
    border-width: 0px !important;
    text-align: right !important;
}

.table-sumary-custom2 {
    background-color: #ffffff !important;
    color: #333333;
    border-width: 0px !important;
    text-align: right !important;
}

.table-sumary-custom-all {
    background-color: #94c9ce !important;
    color: #333333;
    position: sticky !important;
    z-index: 1000 !important;
    text-align: right !important;
}

.table-sumary-custom-all2 {
    background-color: #94c9ce !important;
    color: #333333;
    text-align: right !important;
}


.ant-btn-primary {
    background-color: #01a2b2 !important;
    border-color: #01a2b2 !important;
    border-radius: 200px !important;
}

.ant-btn-primary[disabled] {
    background-color: #c2bdbd !important;
    border-color: #f5f5f5 !important;
    border-radius: 200px !important;
}

.ant-btn-dangerous {
    border-radius: 200px !important;
}

.ant-btn-default {
    border-radius: 200px !important;
}
.ant-input-search-button {
    border-radius: 0px !important;
}

.ant-collapse>.ant-collapse-item>.ant-collapse-header .ant-collapse-arrow {
    color: #FFFFFF;
}